ClientEnvelope (GWT Maven Archetype 3.1.0-3.0.0 API)
Date: 2014-02-28

org.gcube.application.aquamaps.aquamapsportlet.client.rpc.data

## Class ClientEnvelope

- java.lang.Object
- - org.gcube.application.aquamaps.aquamapsportlet.client.rpc.data.ClientEnvelope

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.IsSerializable

      public class ClientEnvelope
      extends Object
      implements com.google.gwt.user.client.rpc.IsSerializable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientEnvelope()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BoundingBox` | `getBoundingBox()`
    `String` | `getFaoAreas()`
    `static SpeciesFields` | `getMaxName(EnvelopeFieldsClient parameter)`
    `Double` | `getMaxValue(EnvelopeFieldsClient parameter)`
    `static SpeciesFields` | `getMinName(EnvelopeFieldsClient parameter)`
    `Double` | `getMinValue(EnvelopeFieldsClient parameter)`
    `static SpeciesFields` | `getPrefMaxName(EnvelopeFieldsClient parameter)`
    `Double` | `getPrefMaxValue(EnvelopeFieldsClient parameter)`
    `static SpeciesFields` | `getPrefMinName(EnvelopeFieldsClient parameter)`
    `Double` | `getPrefMinValue(EnvelopeFieldsClient parameter)`
    `String` | `getSpeciesId()`
    `Double` | `getValue(EnvelopeFieldsClient parameterName, SpeciesFields depthprefmax)`
    `Set<SpeciesFields>` | `getValueNames(EnvelopeFieldsClient parameterName)`
    `boolean` | `isPelagic()`
    `boolean` | `isUseBottomSeaTempAndSalinity()`
    `boolean` | `isUseBoundingBox()`
    `boolean` | `isUseFaoAreas()`
    `boolean` | `isUseMeanDepth()`
    `void` | `setBoundingBox(BoundingBox boundingBox)`
    `void` | `setFaoAreas(String faoAreas)`
    `void` | `setPelagic(boolean pelagic)`
    `void` | `setSpeciesId(String speciesId)`
    `void` | `setUseBottomSeaTempAndSalinity(boolean useBottomSeaTempAndSalinity)`
    `void` | `setUseBoundingBox(boolean useBoundingBox)`
    `void` | `setUseFaoAreas(boolean useFaoAreas)`
    `void` | `setUseMeanDepth(boolean useMeanDepth)`
    `void` | `setValue(EnvelopeFieldsClient parameterName, SpeciesFields valueName, double d)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientEnvelope

          public ClientEnvelope()

  - ### Method Detail

    - #### isUseFaoAreas

          public boolean isUseFaoAreas()

      Returns:
        the useFaoAreas

    - #### setUseFaoAreas

          public void setUseFaoAreas(boolean useFaoAreas)

      Parameters:
        `useFaoAreas` - the useFaoAreas to set

    - #### isUseBoundingBox

          public boolean isUseBoundingBox()

      Returns:
        the useBoundingBox

    - #### setUseBoundingBox

          public void setUseBoundingBox(boolean useBoundingBox)

      Parameters:
        `useBoundingBox` - the useBoundingBox to set

    - #### isUseBottomSeaTempAndSalinity

          public boolean isUseBottomSeaTempAndSalinity()

      Returns:
        the useBottomSeaTempAndSalinity

    - #### setUseBottomSeaTempAndSalinity

          public void setUseBottomSeaTempAndSalinity(boolean useBottomSeaTempAndSalinity)

      Parameters:
        `useBottomSeaTempAndSalinity` - the useBottomSeaTempAndSalinity to set

    - #### getFaoAreas

          public String getFaoAreas()

      Returns:
        the faoAreas

    - #### setFaoAreas

          public void setFaoAreas(String faoAreas)

      Parameters:
        `faoAreas` - the faoAreas to set

    - #### getBoundingBox

          public BoundingBox getBoundingBox()

      Returns:
        the boundingBox

    - #### setBoundingBox

          public void setBoundingBox(BoundingBox boundingBox)

      Parameters:
        `boundingBox` - the boundingBox to set

    - #### isPelagic

          public boolean isPelagic()

      Returns:
        the pelagic

    - #### setPelagic

          public void setPelagic(boolean pelagic)

      Parameters:
        `pelagic` - the pelagic to set

    - #### getValueNames

          public Set<SpeciesFields> getValueNames(EnvelopeFieldsClient parameterName)

    - #### getValue

          public Double getValue(EnvelopeFieldsClient parameterName,
                        SpeciesFields depthprefmax)

    - #### setValue

          public void setValue(EnvelopeFieldsClient parameterName,
                      SpeciesFields valueName,
                      double d)

    - #### getMinValue

          public Double getMinValue(EnvelopeFieldsClient parameter)

    - #### getMinName

          public static SpeciesFields getMinName(EnvelopeFieldsClient parameter)

    - #### getMaxValue

          public Double getMaxValue(EnvelopeFieldsClient parameter)

    - #### getMaxName

          public static SpeciesFields getMaxName(EnvelopeFieldsClient parameter)

    - #### getPrefMinValue

          public Double getPrefMinValue(EnvelopeFieldsClient parameter)

    - #### getPrefMinName

          public static SpeciesFields getPrefMinName(EnvelopeFieldsClient parameter)

    - #### getPrefMaxValue

          public Double getPrefMaxValue(EnvelopeFieldsClient parameter)

    - #### getPrefMaxName

          public static SpeciesFields getPrefMaxName(EnvelopeFieldsClient parameter)

    - #### setUseMeanDepth

          public void setUseMeanDepth(boolean useMeanDepth)

    - #### isUseMeanDepth

          public boolean isUseMeanDepth()

    - #### setSpeciesId

          public void setSpeciesId(String speciesId)

    - #### getSpeciesId

          public String getSpeciesId()

Copyright © 2014. All Rights Reserved.